    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.lang.Boolean

    java.lang.Object
       |
       +----java.lang.Boolean

public final class Boolean
extends Object
implements Serializable

The Boolean class wraps a value of the primitive type `boolean` in an object. An object of type `Boolean` contains a single field whose type is `boolean`.

In addition, this class provides many methods for converting a `boolean` to a `String` and a `String` to a `boolean`, as well as other constants and methods useful when dealing with a `boolean`.

##

FALSE
  The `Boolean` object corresponding to the primitive value `false`.
TRUE
  The `Boolean` object corresponding to the primitive value `true`.
TYPE
  The Class object representing the primitive type boolean.

##

Boolean(boolean)
  Allocates a `Boolean` object representing the `value` argument.
Boolean(String)
  Allocates a `Boolean` object representing the value `true` if the string argument is not `null` and is equal, ignoring case, to the string `"true"`.

##

booleanValue()
  Returns the value of this Boolean object as a boolean.
equals(Object)
  Returns `true` if and only if the argument is not `null` and is a `Boolean` object that contains the same `boolean` value as this object.
getBoolean(String)
  Returns is `true` if and only if the system property named by the argument exists and is equal to the string `"true"`.
hashCode()
  Returns a hash code for this Boolean.
toString()
  Returns a String object representing this Boolean's value.
valueOf(String)
  Returns the boolean value represented by the specified String.

##

TRUE

     public static final Boolean TRUE

  The `Boolean` object corresponding to the primitive value `true`.

FALSE

     public static final Boolean FALSE

  The `Boolean` object corresponding to the primitive value `false`.

TYPE

     public static final Class TYPE

  The Class object representing the primitive type boolean.

##

Boolean

     public Boolean(boolean value)

  Allocates a `Boolean` object representing the `value` argument.

  Parameters:
    value - the value of the `Boolean`.

Boolean

     public Boolean(String s)

  Allocates a `Boolean` object representing the value `true` if the string argument is not `null` and is equal, ignoring case, to the string `"true"`. Otherwise, allocate a `Boolean` object representing the value `false`.

  Parameters:
    s - the string to be converted to a `Boolean`.

##

booleanValue

     public boolean booleanValue()

  Returns the value of this Boolean object as a boolean.

  Returns:
    the primitive `boolean` value of this object.

valueOf

     public static Boolean valueOf(String s)

  Returns the boolean value represented by the specified String. A new `Boolean` object is constructed. This `Boolean` contains the value `true` if the string argument is not `null` and is equal, ignoring case, to the string `"true"`.

  Parameters:
    s - a string.
  Returns:
    the `Boolean` value represented by the string.

toString

     public String toString()

  Returns a String object representing this Boolean's value. If this object contains the value `true`, a string equal to `"true"` is returned. Otherwise, a string equal to `"false"` is returned.

  Returns:
    a string representation of this object.
  Overrides:
    toString in class Object

hashCode

     public int hashCode()

  Returns a hash code for this Boolean.

  Returns:
    a hash code value for this object.
  Overrides:
    hashCode in class Object

equals

     public boolean equals(Object obj)

  Returns `true` if and only if the argument is not `null` and is a `Boolean` object that contains the same `boolean` value as this object.

  Parameters:
    obj - the object to compare with.
  Returns:
    `true` if the objects are the same; `false` otherwise.
  Overrides:
    equals in class Object

getBoolean

     public static boolean getBoolean(String name)

  Returns is `true` if and only if the system property named by the argument exists and is equal to the string `"true"`. (Beginning with Java 1.0.2, the test of this string is case insensitive.) A system property is accessible through `getProperty`, a method defined by the `System` class.

  Parameters:
    name - the system property name.
  Returns:
    the `boolean` value of the system property.
  See Also:
    getProperty, getProperty

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.